Skip to content

List YouTube channel videos

GET
/v1/youtube-channel-videos

List videos from a YouTube channel with pagination.

Credits: 1 per request.

channel_id
string

YouTube channel ID (UC…).

continuation
string

Pagination token from previous response.

Paginated videos.

object
channel_id
string
videos
Array<object>
object
id
string
title
string
thumbnail
string
view_count
integer
published_at
string
duration
string
pagination
object
continuation
string
has_more
boolean
X-Credits-Used
integer
X-Credits-Remaining
integer

Missing or invalid API key.

object
error

Error message.

string
Example
invalid or inactive api_key

Insufficient credits.

Rate limit exceeded.

object
error

Error message.

string
Example
invalid or inactive api_key
Retry-After
integer

Seconds to wait before retrying.